// Execute this before booting the server

(
Server.default.options.inDevice_("Scarlett 2i2 USB");
Server.default.options.hardwareBufferSize_(1024);
Server.default.options.outDevice_("Scarlett 2i2 USB");
//Server.default.options.outDevice_("External Headphones");
)
Server.killAll;

(
Routine.run({

	~usbinput = 2;
	~usbinput1 = 2;
	~usbinput2 = 3;

	~buflen = 4.0;
	~beatsperbar = 4;

	~touchosc_ip = "192.168.0.209";

	("./synths.scd").loadRelative;
	Granulator.init(s);
	s.sync;
	("./control.scd").loadRelative;
	s.sync;
	("./granulator.scd").loadRelative;
	s.sync;
	("./effects.scd").loadRelative;
	s.sync;
	("./sequencer.scd").loadRelative;
	s.sync;
	("./interface.scd").loadRelative;
});
)


